/*
Module : EZViewDoc.h
Purpose: Defines the MFC document class for EZView

Copyright (c) 2000 - 2019 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise)
when your product is released in binary form. You are allowed to modify the source code in any way you want
except you cannot modify the copyright details at the top of each module. If you want to distribute source
code with your application, then you are only allowed to distribute versions released by the author. This is
to maintain a single distribution point for the source code.

*/


////////////////////////// Macros / Defines ///////////////////////////////////

#pragma once


////////////////////////// Classes ////////////////////////////////////////////

class CEZViewView;

class CEZViewDoc : public CDocument
{
public:
//Methods
  HGLOBAL DDBToDIB(_In_ const CBitmap* pBitmap);
  CEZViewView* GetView() const;

protected:
#pragma warning(suppress: 26455)
  CEZViewDoc() noexcept; //create from serialization only

//Methods
  void Serialize(CArchive& ar) override;
  BOOL OnOpenDocument(LPCTSTR lpszPathName) override;
  void DeleteContents() override;

//Message handlers
  afx_msg void OnUpdateFilePrint(CCmdUI* pCmdUI);
  afx_msg void OnUpdateFilePrintPreview(CCmdUI* pCmdUI);
  afx_msg void OnUpdateFileSendMail(CCmdUI* pCmdUI);
  afx_msg void OnFileRename();
  afx_msg void OnUpdateFileRename(CCmdUI* pCmdUI);
  afx_msg void OnFileCopy();
  afx_msg void OnUpdateFileCopy(CCmdUI* pCmdUI);
  afx_msg void OnFileDelete();
  afx_msg void OnUpdateFileDelete(CCmdUI* pCmdUI);
  afx_msg void OnFileMove();
  afx_msg void OnUpdateFileMove(CCmdUI* pCmdUI);
  afx_msg void OnFileProperties();
  afx_msg void OnUpdateFileProperties(CCmdUI* pCmdUI);
  afx_msg void OnToolsSetaswallpaper();
  afx_msg void OnUpdateToolsSetaswallpaper(CCmdUI* pCmdUI);
  afx_msg void OnViewFirstImage();
  afx_msg void OnUpdateViewFirstImage(CCmdUI* pCmdUI);
  afx_msg void OnViewLastImage();
  afx_msg void OnUpdateViewLastImage(CCmdUI* pCmdUI);
  afx_msg void OnViewNextImage();
  afx_msg void OnUpdateViewNextImage(CCmdUI* pCmdUI);
  afx_msg void OnViewPreviousImage();
  afx_msg void OnUpdateViewPreviousImage(CCmdUI* pCmdUI);
  afx_msg void OnViewRefresh();
  afx_msg void OnUpdateViewRefresh(CCmdUI* pCmdUI);
  afx_msg void OnViewRandomImage();
  afx_msg void OnUpdateViewRandomImage(CCmdUI* pCmdUI);
  afx_msg void OnEditCopy();
  afx_msg void OnUpdateEditCopy(CCmdUI* pCmdUI);
  afx_msg void OnViewFirstPage();
  afx_msg void OnUpdateViewFirstPage(CCmdUI* pCmdUI);
  afx_msg void OnViewLastPage();
  afx_msg void OnUpdateViewLastPage(CCmdUI* pCmdUI);
  afx_msg void OnViewNextPage();
  afx_msg void OnUpdateViewNextPage(CCmdUI* pCmdUI);
  afx_msg void OnViewPreviousPage();
  afx_msg void OnUpdateViewPreviousPage(CCmdUI* pCmdUI);
  afx_msg void OnViewOpenPage();
  afx_msg void OnUpdateViewOpenPage(CCmdUI* pCmdUI);
  afx_msg void OnViewStartAnimation();
  afx_msg void OnUpdateViewStartAnimation(CCmdUI* pCmdUI);

  DECLARE_DYNCREATE(CEZViewDoc)

  DECLARE_MESSAGE_MAP()
};
