/*
Module : OptionsPropertySheet.cpp
Purpose: Implements the Options property sheet class for EZView

Copyright (c) 2000 - 2019 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise)
when your product is released in binary form. You are allowed to modify the source code in any way you want
except you cannot modify the copyright details at the top of each module. If you want to distribute source
code with your application, then you are only allowed to distribute versions released by the author. This is
to maintain a single distribution point for the source code.

*/


////////////////////////// Includes ///////////////////////////////////////////

#include "stdafx.h"
#include "EZView.h"
#include "OptionsPropertySheet.h"


////////////////////////// Macros / Defines ///////////////////////////////////

#ifdef _DEBUG
#define new DEBUG_NEW
#endif //#ifdef _DEBUG


////////////////////////// Implementation /////////////////////////////////////

#pragma warning(suppress: 26433 26440 26477)
IMPLEMENT_DYNAMIC(COptionsPropertySheet, CPropertySheet)

COptionsPropertySheet::COptionsPropertySheet(_In_ UINT nIDCaption, _In_opt_ CWnd* pParentWnd, _In_ UINT iSelectPage) : CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
  AddPage(&m_Page1);
}

COptionsPropertySheet::COptionsPropertySheet(_In_z_ LPCTSTR pszCaption, _In_opt_ CWnd* pParentWnd, _In_ UINT iSelectPage) : CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
  AddPage(&m_Page1);
}

#pragma warning(suppress: 26433 26440)
BEGIN_MESSAGE_MAP(COptionsPropertySheet, CPropertySheet) //NOLINT
END_MESSAGE_MAP()
