/*
Module : OptionsPropertySheet.h
Purpose: Defines the Options property sheet class for EZView

Copyright (c) 2000 - 2019 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise)
when your product is released in binary form. You are allowed to modify the source code in any way you want
except you cannot modify the copyright details at the top of each module. If you want to distribute source
code with your application, then you are only allowed to distribute versions released by the author. This is
to maintain a single distribution point for the source code.

*/


////////////////////////// Macros / Defines ///////////////////////////////////

#pragma once


////////////////////////// Includes ///////////////////////////////////////////

#include "GeneralOptionsPropertyPage.h"


////////////////////////// Classes ////////////////////////////////////////////

class COptionsPropertySheet : public CPropertySheet
{
public:
  //Constructors / Destructors
  COptionsPropertySheet(_In_ UINT nIDCaption, _In_opt_ CWnd* pParentWnd = nullptr, _In_ UINT iSelectPage = 0);
  COptionsPropertySheet(_In_z_ LPCTSTR pszCaption, _In_opt_ CWnd* pParentWnd = nullptr, _In_ UINT iSelectPage = 0);

//Member variables
  CGeneralOptionsPropertyPage m_Page1;

protected:
  DECLARE_MESSAGE_MAP()

  DECLARE_DYNAMIC(COptionsPropertySheet)
};
